Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.api
Interface FormBuilderService

All Known Implementing Classes:
  FormBuilderServiceImpl

    public interface FormBuilderService

Client's interface with the REST API server.

Nested Class Summary
`static interface` | `FormBuilderService.RolesResponseHandler`

Method Summary
`void` | `applySettings(Settings settings)`
`void` | `deleteFile(String url)`
`void` | `deleteForm(FormRepresentation form)` Deletes a form from the server
`void` | `deleteFormItem(String formItemName, FormItemRepresentation formItem)` Deletes a UI component from the server
`void` | `generateForm(FormRepresentation form, String language, Map<String,Object> inputs)` Translates a form.
`void` | `getCurrentRoles(FormBuilderService.RolesResponseHandler handler)`
`void` | `getExistingIoAssociations(String filter)` Returns the IoAssociations as matching on a simple string filter
`void` | `getExistingValidations()` Returns existing validations from the server
`void` | `getForm(String formName)` Returns a single form
`String` | `getFormDisplay()`
`void` | `getForms()` Returns all forms
`void` | `getMenuItems()` Gets a map of groups indexed by group name.
`void` | `getMenuOptions()` Gets a list of menu options, generally for a menu bar.
`String` | `getUploadActionURL()`
`String` | `getUploadFileURL()`
`FormRepresentation` | `loadForm(String json)`
`void` | `loadFormTemplate(FormRepresentation form, String language)` Loads a file from the server that contains a given language's form template
`void` | `loadSettings()`
`void` | `logout()`
`void` | `populateRepresentationFactory()` Populates the `RepresentationFactory` with the form items and representations that belong to them.
`String` | `saveForm(FormRepresentation form)` Saves a form on the server
`void` | `saveFormItem(FormItemRepresentation formItem, String formItemName)` Saves a UI component on the server
`void` | `selectIoAssociation(String pkgName, String processName, String taskName)` Fires a TaskSelectedEvent in case you can find the proper task in the server
`void` | `setPackageName(String packageName)`

Method Detail

### getMenuItems

    void getMenuItems()
                      throws FormBuilderServiceException

  Gets a map of groups indexed by group name. Each group contains a list of menu items available in each group.

  Throws:
    `FormBuilderException` - in case of error.
    `FormBuilderServiceException`

### getMenuOptions

    void getMenuOptions()
                        throws FormBuilderServiceException

  Gets a list of menu options, generally for a menu bar. Each option has a name, and maybe a subMenu consisting of a list of menu options, or maybe a command, or maybe both.

  Throws:
    `FormBuilderException` - in case of error.
    `FormBuilderServiceException`

### saveForm

    String saveForm(FormRepresentation form)
                    throws FormBuilderServiceException

  Saves a form on the server

  Parameters:
    `form` - The form to be saved
  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### saveFormItem

    void saveFormItem(FormItemRepresentation formItem,
                      String formItemName)
                      throws FormBuilderServiceException

  Saves a UI component on the server

  Parameters:
    `formItem` - the UI component to be saved
    `formItemName` - the UI component name
  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### deleteForm

    void deleteForm(FormRepresentation form)
                    throws FormBuilderServiceException

  Deletes a form from the server

  Parameters:
    `form` - The form to be deleted
  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### deleteFile

    void deleteFile(String url)
                    throws FormBuilderServiceException

  Throws:
    `FormBuilderServiceException`

### deleteFormItem

    void deleteFormItem(String formItemName,
                        FormItemRepresentation formItem)
                        throws FormBuilderServiceException

  Deletes a UI component from the server

  Parameters:
    `formItemName` - The UI component name
    `formItem` - the UI component to be deleted
  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### generateForm

    void generateForm(FormRepresentation form,
                      String language,
                      Map<String,Object> inputs)
                      throws FormBuilderServiceException

  Translates a form. An event exposes where to retrieve the form from.

  Parameters:
    `form` - Form to be translated
    `language` - Language to translate the form
  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### getExistingIoAssociations

    void getExistingIoAssociations(String filter)
                                   throws FormBuilderServiceException

  Returns the IoAssociations as matching on a simple string filter

  Parameters:
    `filter` - a filter for a google-like search textfield
  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### selectIoAssociation

    void selectIoAssociation(String pkgName,
                             String processName,
                             String taskName)
                             throws FormBuilderServiceException

  Fires a TaskSelectedEvent in case you can find the proper task in the server

  Parameters:
    `pkgName` - the name of the package
    `processName` - the name of the process
    `taskName` - the name of the task
  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### getExistingValidations

    void getExistingValidations()
                                throws FormBuilderServiceException

  Returns existing validations from the server

  Throws:
    `FormBuilderException` - in case of error
    `FormBuilderServiceException`

### getForm

    void getForm(String formName)
                 throws FormBuilderServiceException

  Returns a single form

  Parameters:
    `formName` - the name of the form to be returned
  Throws:
    `FormBuilderException` - in case of error.
    `FormBuilderServiceException`

### getForms

    void getForms()
                  throws FormBuilderServiceException

  Returns all forms

  Throws:
    `FormBuilderException` - in case of error.
    `FormBuilderServiceException`

### populateRepresentationFactory

    void populateRepresentationFactory()
                                       throws FormBuilderServiceException

  Populates the `RepresentationFactory` with the form items and representations that belong to them.

  Parameters:
    `callback` - callback to tell the client what to do once it finishes
  Throws:
    `FormBuilderException` - in case of error.
    `FormBuilderServiceException`

### loadFormTemplate

    void loadFormTemplate(FormRepresentation form,
                          String language)
                          throws FormBuilderServiceException

  Loads a file from the server that contains a given language's form template

  Parameters:
    `form` - the form representation to create a template from
    `language` - the result template expected language
  Throws:
    `FormBuilderException` - in case of error.
    `FormBuilderServiceException`

### loadForm

    FormRepresentation loadForm(String json)

### getCurrentRoles

    void getCurrentRoles(FormBuilderService.RolesResponseHandler handler)
                         throws FormBuilderServiceException

  Throws:
    `FormBuilderServiceException`

### getUploadFileURL

    String getUploadFileURL()

  Returns:
    URL for uploading files to guvnor

### getUploadActionURL

    String getUploadActionURL()

  Returns:
    URL for mocking uploading files for form instances

### setPackageName

    void setPackageName(String packageName)

### logout

    void logout()

### applySettings

    void applySettings(Settings settings)

### loadSettings

    void loadSettings()

### getFormDisplay

    String getFormDisplay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.